Set a hierarchical table-lookup domain on a column
Creates a parent-child relationship where the mapping is resolved from an external lookup table at query time. The lookup table must have a parent-key column and a child-key column. **Required scope:** `domains:write`
Authorization
BearerAuth Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to create a hierarchical table-lookup domain. Parent-child relationships are resolved from an external lookup table.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/hierarchical/table" \ -H "Content-Type: application/json" \ -d '{ "parent_column": "string", "table_name": "string", "table_path": "string", "parent_key": "string", "child_key": "string" }'{ "column_name": "string", "domain": { "type": "string", "allowed_values": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ], "parent_column": "string", "lookup": { "source": "string", "mappings": { "property1": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ], "property2": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string" } ] }, "table_name": "string", "table_path": "string", "parent_key": "string", "child_key": "string", "table_id": "string" }, "reference_source": { "table_path": "string", "table_name": "string", "column": "string", "table_id": "string" } }}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}Set a hierarchical derived domain on a column
Creates a parent-child relationship where child values are automatically derived from the existing data in the table. When the parent column value changes, the allowed child values are recomputed. **Required scope:** `domains:write`
Set a reference domain on a column
Links this column's allowed values to the domain of a column in another table. Changes to the source column's domain are automatically reflected here. **Required scope:** `domains:write`